Package: org.gradle.api.tasks.testing

## [Java] Interface TestOutputListener

- Listens to the output events like printing to standard output or error

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `onOutput(TestDescriptor testDescriptor, TestOutputEvent outputEvent)` Fired when during test execution anything is printed to standard output or error

- - ### Method Detail

    - #### public void onOutput(TestDescriptor testDescriptor, TestOutputEvent outputEvent)

      Fired when during test execution anything is printed to standard output or error

      Parameters:
        `testDescriptor` - describes the test
        `outputEvent` - the event that contains the output message and the destination (standard output or error, etc.)